#include<bits/stdc++.h>
using namespace std;
ifstream f1("BAI2_18.inp");
ofstream f2("BAI2_18.out");
int main()
{
	int count=0,a[20000];
	int n,i,j,k;
	f1>>n;
	for(i=1;i<=n;i++)
	f1>>a[i];
	for(i=1;i<=n-2;i++)
	{
		for(j=i+1;j<=n-1;j++)
		{
			for(k=j+1;k<=n;k++)
			{
				if(a[i]+a[j]>a[k]&&a[j]+a[k]>a[i]&&a[i]+a[k]>a[j])
				count++;
			}
		}
	}
	f2<<count;
}
